Skip to content
Carts & CheckoutOrder Drafts

Checkout order draft

Turns the shared draft into an order and returns the order paths.

POST/v1/order-drafts/share/{shareToken}/checkout
No token

Path Parameters

shareToken*string

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://storefront.ecomiq.pe/v1/order-drafts/share/replace_with_the_issued_token/checkout" \  -H "x-Store-Domain: my-store" \  -H "Content-Type: application/json" \  -d '{    "invoiceType": "ticket"  }'
{  "orderPaths": [    "Mi tienda"  ]}